package com.jscape.util.keystore;

import org.bouncycastle.asn1.ASN1ObjectIdentifier;

/**
 * @author Alex Usun
 */
public class X509ExtensionIdentifier {

    public static final ASN1ObjectIdentifier SUBJECT_DIRECTORY_ATTRIBUTES = new ASN1ObjectIdentifier("2.5.29.9");
    public static final ASN1ObjectIdentifier SUBJECT_KEY_IDENTIFIER = new ASN1ObjectIdentifier("2.5.29.14");
    public static final ASN1ObjectIdentifier KEY_USAGE = new ASN1ObjectIdentifier("2.5.29.15");
    public static final ASN1ObjectIdentifier PRIVATE_KEY_USAGE_PERIOD = new ASN1ObjectIdentifier("2.5.29.16");
    public static final ASN1ObjectIdentifier SUBJECT_ALTERNATIVE_NAME = new ASN1ObjectIdentifier("2.5.29.17");
    public static final ASN1ObjectIdentifier ISSUER_ALTERNATIVE_NAME = new ASN1ObjectIdentifier("2.5.29.18");
    public static final ASN1ObjectIdentifier BASIC_CONSTRAINTS = new ASN1ObjectIdentifier("2.5.29.19");
    public static final ASN1ObjectIdentifier CRL_NUMBER = new ASN1ObjectIdentifier("2.5.29.20");
    public static final ASN1ObjectIdentifier REASON_CODE = new ASN1ObjectIdentifier("2.5.29.21");
    public static final ASN1ObjectIdentifier INSTRUCTION_CODE = new ASN1ObjectIdentifier("2.5.29.23");
    public static final ASN1ObjectIdentifier INVALIDITY_DATE = new ASN1ObjectIdentifier("2.5.29.24");
    public static final ASN1ObjectIdentifier DELTA_CRL_INDICATOR = new ASN1ObjectIdentifier("2.5.29.27");
    public static final ASN1ObjectIdentifier ISSUING_DISTRIBUTION_POINT = new ASN1ObjectIdentifier("2.5.29.28");
    public static final ASN1ObjectIdentifier CERTIFICATE_ISSUER = new ASN1ObjectIdentifier("2.5.29.29");
    public static final ASN1ObjectIdentifier NAME_CONSTRAINTS = new ASN1ObjectIdentifier("2.5.29.30");
    public static final ASN1ObjectIdentifier CRL_DISTRIBUTION_POINTS = new ASN1ObjectIdentifier("2.5.29.31");
    public static final ASN1ObjectIdentifier CERTIFICATE_POLICIES = new ASN1ObjectIdentifier("2.5.29.32");
    public static final ASN1ObjectIdentifier POLICY_MAPPINGS = new ASN1ObjectIdentifier("2.5.29.33");
    public static final ASN1ObjectIdentifier AUTHORITY_KEY_IDENTIFIER = new ASN1ObjectIdentifier("2.5.29.35");
    public static final ASN1ObjectIdentifier POLICY_CONSTRAINTS = new ASN1ObjectIdentifier("2.5.29.36");
    public static final ASN1ObjectIdentifier EXTENDED_KEY_USAGE = new ASN1ObjectIdentifier("2.5.29.37");
    public static final ASN1ObjectIdentifier FRESHEST_CRL = new ASN1ObjectIdentifier("2.5.29.46");
    public static final ASN1ObjectIdentifier INHIBIT_ANY_POLICY = new ASN1ObjectIdentifier("2.5.29.54");
    public static final ASN1ObjectIdentifier AUTHORITY_INFO_ACCESS = new ASN1ObjectIdentifier("1.3.6.1.5.5.7.1.1");
    public static final ASN1ObjectIdentifier SUBJECT_INFO_ACCESS = new ASN1ObjectIdentifier("1.3.6.1.5.5.7.1.11");
    public static final ASN1ObjectIdentifier LOGO_TYPE = new ASN1ObjectIdentifier("1.3.6.1.5.5.7.1.12");
    public static final ASN1ObjectIdentifier BIOMETRIC_INFO = new ASN1ObjectIdentifier("1.3.6.1.5.5.7.1.2");
    public static final ASN1ObjectIdentifier QC_STATEMENTS = new ASN1ObjectIdentifier("1.3.6.1.5.5.7.1.3");
    public static final ASN1ObjectIdentifier AUDIT_IDENTITY = new ASN1ObjectIdentifier("1.3.6.1.5.5.7.1.4");
    public static final ASN1ObjectIdentifier NO_REV_AVAIL = new ASN1ObjectIdentifier("2.5.29.56");
    public static final ASN1ObjectIdentifier TARGET_INFORMATION = new ASN1ObjectIdentifier("2.5.29.55");

    private X509ExtensionIdentifier() {
        // empty
    }
}
